STRUCT RIO_SWITCH_OP(9)

NAME
struct_rio_switch_ops - Per-switch operations

SYNOPSIS

struct rio_switch_ops {
  struct module * owner;
  int (* add_entry) (struct rio_mport *mport, u16 destid, u8 hopcount,u16 table, u16 route_destid, u8 route_port);
  int (* get_entry) (struct rio_mport *mport, u16 destid, u8 hopcount,u16 table, u16 route_destid, u8 *route_port);
  int (* clr_table) (struct rio_mport *mport, u16 destid, u8 hopcount,u16 table);
  int (* set_domain) (struct rio_mport *mport, u16 destid, u8 hopcount,u8 sw_domain);
  int (* get_domain) (struct rio_mport *mport, u16 destid, u8 hopcount,u8 *sw_domain);
  int (* em_init) (struct rio_dev *dev);
  int (* em_handle) (struct rio_dev *dev, u8 swport);
};

MEMBERS

owner
    The module owner of this structure

add_entry
    Callback for switch-specific route add function

get_entry
    Callback for switch-specific route get function

clr_table
    Callback for switch-specific clear route table function

set_domain
    Callback for switch-specific domain setting function

get_domain
    Callback for switch-specific domain get function

em_init
    Callback for switch-specific error management init function

em_handle
    Callback for switch-specific error management handler function

DESCRIPTION

Defines the operations that are necessary to initialize/control a particular RIO switch device.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT